<!-- 媒体列表 -->
<template>
    <el-table
            :data="tableData"
            style="width: 100%">
        <el-table-column
                prop="company_name"
                label="Company Name"
                width="180">
        </el-table-column>
        <el-table-column
                prop="company_code"
                label="Company Code"
                width="180">
        </el-table-column>
        <el-table-column
                prop="company_phone"
                label="Company Phone">
        </el-table-column>
        <el-table-column
                prop="name"
                label="Name">
        </el-table-column>
        <el-table-column
                prop="order_no"
                label="Order Number">
        </el-table-column>
        <el-table-column
                prop="receipt_required"
                label="Receipt Required">
        </el-table-column>
        <el-table-column
                prop="type"
                label="Type">
        </el-table-column>
    </el-table>
</template>

<script>
    import receipts_edit from './receipts_edit'
    export default {
        name: 'receipts',
        components: {markupedit: receipts_edit},
        data() {
            return {
                tableData: [{
                    date: '2016-05-03',
                    name: 'Tom',
                    address: 'No. 189, Grove St, Los Angeles'
                }, {
                    date: '2016-05-02',
                    name: 'Tom',
                    address: 'No. 189, Grove St, Los Angeles'
                }, {
                    date: '2016-05-04',
                    name: 'Tom',
                    address: 'No. 189, Grove St, Los Angeles'
                }, {
                    date: '2016-05-01',
                    name: 'Tom',
                    address: 'No. 189, Grove St, Los Angeles'
                }]
            };
        },
        mounted() {
            this.getDatalist();
        },
        methods: {
            getDatalist() {
                let data = [];
                let that = this;
                this.m_api.receipts().then(res => {
                    console.log(res);
                    that.tableData = res.data;
                });
            },
        },
    }
</script>
<style lang='scss' scoped>
    .tip {
        font-size: 19px;
        margin-bottom: 30px;
    }
</style>